<?php
include('../includes/validador.php');
include('../conexiones/conex.php');

$curso = $_POST['id'];
$idalum = $_POST['idAlum'];
$tipo = $_POST['tipo'];
$anho = $_POST['anho'];
$tabla = "";

switch($tipo){
	case 'curso':

		//$sqlPagos = "SELECT * FROM pagos_cuotas WHERE intCurso = '$curso' AND intPersona = '$idalum' AND INTAnhoLect = '$anho'";
		$sqlPagos = "SELECT idPago, monto_cuota, monto_pago, intCurso, DATE_FORMAT(fechaPago, '%d, %M %Y') AS fechaPago, mesPago, num_factura, estadoPago FROM pagos_cuotas WHERE intCurso = '$curso' AND intPersona = '$idalum' AND INTAnhoLect = '$anho'";
		$queryPagos = mysqli_query($con, $sqlPagos);
		$total = mysqli_num_rows($queryPagos);

		if($total > 0){
			while($row = mysqli_fetch_assoc($queryPagos)){
				$datos["data"][] = $row;
			}
		}else{
			$datos["data"]["vacio"] = "";
		}
			$datos["sql"] = "$sqlPagos";
		echo json_encode($datos);		
		$con->close();

	break;

	case 'mes':

		$sqlPagos = "SELECT idPago, monto_cuota, monto_pago, intCurso, DATE_FORMAT(fechaPago, '%d, %M %Y') AS fechaPago, mesPago, num_factura, estadoPago FROM pagos_cuotas WHERE mesPago = '$curso' AND intPersona = '$idalum' AND INTAnhoLect = '$anho'";
		$queryPagos = mysqli_query($con, $sqlPagos);
		$total = mysqli_num_rows($queryPagos);

		if($total > 0){
			while($row = mysqli_fetch_assoc($queryPagos)){
				$datos["data"][] = $row;
			}
		}else{
			$datos["data"]["vacio"] = "";
		}
		echo json_encode($datos);		
		$con->close();

	break;
}
?>